/* CSS Variable */
:root{
    --secondary-color:#878DA4;
    --tertiary-color:#0F1C49;
    --border-color:#eeeeee;
    --primary-color:#09A4D8;
}

body {
  font-family: "Rubik";

}

/* Container */
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 16px;
    display: flex;
    flex-direction: column;
    gap: 60px;
}

/* heading */
.header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 15px;

  h1,
  p {
    text-align: center;
    margin: 0;
  }

  h1 {
    font-family: "Roboto Slab";
    font-size: 32px;
    color: var(--tertiary-color);
  }

  p {
    color: var(--secondary-color);
    max-width: 470px;
  }
}

/* Tabs */
.tabs {
    border-bottom: 1px solid var(--border-color);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    color: var(--secondary-color);

    a {
        padding: 10px;
        position: relative;
        top: 2px;
    }
    
    a.active {
        color: var(--primary-color);
        border-bottom:4px solid var(--primary-color);
    }
}

/* Experts Container */
.experts-container {
    display: grid;
    gap: 20px;

    /* Responsiveness */
    @media (min-width: 768px){
        grid-template-columns: repeat(2, auto);
    }

     @media (min-width: 1024px){
        grid-template-columns: repeat(3, auto);
    }

    @media (min-width: 1200px){
        grid-template-columns: repeat(4, auto);
    }
}

.expert {
    display: flex;
    flex-direction: column;

    img {
        width: 100%;
    }

    &:hover {
        box-shadow: 0px 0px 6px var(--border-color);

        .expert-details button{
            visibility: visible;
        }
    }
}

.expert-details {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 20px;
    justify-content: start;
    align-items: start;

    h1, h6 {
        margin: 0;
    }

    h1 {
        color: var(--tertiary-color);
        font-size: 24px;
    }

    h6 {
        font-size: 14px;
        color: var(--secondary-color);
    }

    button {
        border: 1px solid var(--primary-color);
        border-radius: 8px;
        background-color: transparent;
        padding: 16px 24px;
        font-weight: bold;
        color: var(--primary-color);
        font-size: 14px;
        visibility: hidden;
    }
}

/* See More Button */
.see-more-button {
    color: var(--primary-color);
    font-weight: bold;
    font-size: 14px;
    align-self: center;
}